Last Comment Bug 647984 - Maemo permaorange in content/media/test/crashtests/495794-1.html | load failed: timed out waiting for reftest-wait to be removed
: Maemo permaorange in content/media/test/crashtests/495794-1.html | load faile...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: ARM Maemo
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Maire Reavy [:mreavy]
Mentors:
Depends on: 641718
Blocks: 438871
  Show dependency treegraph
 
Reported: 2011-04-06 05:56 PDT by Phil Ringnalda (:philor)
Modified: 2012-11-25 19:31 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Phil Ringnalda (:philor) 2011-04-06 05:56:24 PDT
Since I don't really watch mobile tests, dunno if this is a regression, or an always-has-been. You can see from bug 573634 when I started misstarring the runs on the TraceMonkey nightlies, but I couldn't tell you whether I ignored it before then, or they didn't run before then.

http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1302088733.1302090750.8095.gz
n900-gtk tracemonkey unit crashtest on 2011/04/06 04:18:53 

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/fennec/reftest/tests/content/media/test/crashtests/495794-1.html | load failed: timed out waiting for reftest-wait to be removed
REFTEST INFO | Saved log: START file:///builds/fennec/reftest/tests/content/media/test/crashtests/495794-1.html
REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering WaitForTestEnd
REFTEST INFO | Saved log: [CONTENT] WaitForTestEnd: Adding listeners
REFTEST INFO | Saved log: Initializing canvas snapshot
REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_TO_FIRE_INVALIDATE_EVENT
REFTEST INFO | Saved log: [CONTENT] MakeProgress: dispatching MozReftestInvalidate
REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_FOR_REFTEST_WAIT_REMOVAL
REFTEST INFO | Saved log: [CONTENT] MakeProgress: waiting for reftest-wait to be removed
REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in file:///builds/fennec/reftest/tests/content/media/test/crashtests/495794-1.html
REFTEST INFO | Saved log: Updating canvas for invalidation
REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_FOR_REFTEST_WAIT_REMOVAL
REFTEST INFO | Saved log: [CONTENT] MakeProgress: waiting for reftest-wait to be removed
REFTEST INFO | Loading a blank page
Comment 1 Phil Ringnalda (:philor) 2011-04-06 06:07:21 PDT
Oh, and according to m.d.planning, the Mobile tests may start reporting to mozilla-central today, in which case this and one other permaorange will result in Maemo crashtests being hidden, so we might want to hit it with a quick skip-if(browserIsRemote) hammer and then consider whether that's actually the problem.
Comment 2 Joel Maher ( :jmaher) 2011-04-06 07:38:41 PDT
bug 637660 disabled two tests for Android including this one:
http://hg.mozilla.org/mozilla-central/rev/2269cb1136f9

We can broaden the scope of the skip-if, but we really need to find the root cause.
Comment 3 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-04-06 11:03:03 PDT
My guess would be a problem with the onended event.  This test isn't failing on desktop CIPC so this might be a device-lib-specific issue.  Another possibility is that this test is just running too slowly on device.
Comment 4 Treeherder Robot 2011-04-11 16:01:49 PDT
bill%wg9s.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mobile/1302552234.1302553881.27206.gz
n900-gtk mozilla-central unit crashtest on 2011/04/11 13:03:54

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/fennec/reftest/tests/content/media/test/crashtests/495794-1.html | load failed: timed out waiting for reftest-wait to be removed
REFTEST TEST-UNEXPECTED-FAIL | | can't drawWindow remote content
REFTEST TEST-UNEXPECTED-FAIL | | can't drawWindow remote content
REFTEST TEST-UNEXPECTED-FAIL | | can't drawWindow remote content
REFTEST TEST-UNEXPECTED-FAIL | | can't drawWindow remote content
REFTEST TEST-UNEXPECTED-FAIL | file:///builds/fennec/reftest/tests/content/media/test/crashtests/495794-1.html | load failed: timed out waiting for reftest-wait to be removed
REFTEST TEST-UNEXPECTED-FAIL | | can't drawWindow remote content
REFTEST TEST-UNEXPECTED-FAIL | | can't drawWindow remote content
REFTEST TEST-UNEXPECTED-FAIL | | can't drawWindow remote content
REFTEST TEST-UNEXPECTED-FAIL | | can't drawWindow remote content
Comment 5 Treeherder Robot 2011-04-11 16:02:44 PDT
bill%wg9s.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mobile/1302558235.1302559881.21755.gz
n900-gtk mozilla-central unit crashtest on 2011/04/11 14:43:55

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/fennec/reftest/tests/content/media/test/crashtests/495794-1.html | load failed: timed out waiting for reftest-wait to be removed
REFTEST TEST-UNEXPECTED-FAIL | | can't drawWindow remote content
REFTEST TEST-UNEXPECTED-FAIL | | can't drawWindow remote content
REFTEST TEST-UNEXPECTED-FAIL | | can't drawWindow remote content
REFTEST TEST-UNEXPECTED-FAIL | | can't drawWindow remote content
REFTEST TEST-UNEXPECTED-FAIL | file:///builds/fennec/reftest/tests/content/media/test/crashtests/495794-1.html | load failed: timed out waiting for reftest-wait to be removed
REFTEST TEST-UNEXPECTED-FAIL | | can't drawWindow remote content
REFTEST TEST-UNEXPECTED-FAIL | | can't drawWindow remote content
REFTEST TEST-UNEXPECTED-FAIL | | can't drawWindow remote content
REFTEST TEST-UNEXPECTED-FAIL | | can't drawWindow remote content
Comment 6 Joel Maher ( :jmaher) 2011-04-11 16:49:40 PDT
we should just disable these as the reftest harness will not work on this platform without fixing the harness or figuring out how to adjust the resolution on maemo.
Comment 7 Phil Ringnalda (:philor) 2011-04-16 15:28:34 PDT
cpearce++, fixed by bug 641718.
Comment 8 Treeherder Robot 2012-08-08 01:51:12 PDT
cjones
https://tbpl.mozilla.org/php/getParsedLog.php?id=14217459&tree=Try
Rev4 MacOSX Lion 10.7 try opt test crashtest on 2012-08-08 01:24:26
slave: talos-r4-lion-015

TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/content/media/test/crashtests/495794-1.html | Exited with code -6 during test run

Note You need to log in before you can comment on or make changes to this bug.